window.Gleam.initSearch([{"doc":"go_over","title":"go_over","content":"# 🕵️‍♂️ go_over\n\n[![Package Version](https://img.shields.io/hexpm/v/go_over)](https://hex.pm/packages/go_over)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/go_over/)\n\nA tool to check for Erlang &amp; Elixir dependency advisories as well as retired hex packages, to make sure your gleam projects really sparkle! ✨\n\n🚨 _**NOTE**_: security advisories are _NOT_ currently monitored for gleam dependencies. The language, while excellent, is far too new and niche\n\n# Install\n\n```sh\ngleam add --dev go_over\n```\n\n## 📣 Also!\n\n- add `.go-over/` to your `.gitignore`\n- make sure `git` is installed\n\n# Usage\n\n```sh\ngleam run -m go_over\n```\n\n### 🎥 Obligatory Asciinema\n\n![demo](https://raw.githubusercontent.com/bwireman/go-over/main/images/demo.gif)\n\n### 🏴 Flags\n\n- `--skip`: will skip checking the cache and used the stored data no matter what\n- `--force`: will force pulling new data even if the cached data is still valid\n\n### Caching\n\n- Security advisory data is cached for six hours\n- hex.pm retired package data is cached for one hour\n\n# 🖌️ Other Art\n\n- As I&#39;m sure is no surprise this tool is inspired by (and all around worse than) [mirego/mix_audit](https://github.com/mirego/mix_audit). Please check it out!\n- It also draws inspiration from [mix hex.audit](https://hexdocs.pm/hex/Mix.Tasks.Hex.Audit.html)\n\n# License\n\nThis tool uses [mirego/elixir-security-advisories](https://github.com/mirego/elixir-security-advisories) which is it self licensed with `BSD-3-Clause license` and `CC-BY 4.0 open source license`. See their [#license section](https://github.com/mirego/elixir-security-advisories?tab=readme-ov-file#license)\n\nCode original to this repo is Licensed under MIT\n","url":"index.html"},{"doc":"go_over","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngo_over.main\ngo_over main","url":"go_over.html#main"},{"doc":"go_over","title":"go_over","content":"","url":"go_over.html"}]);